---
title: "Get Room Images"
slug: "get-room-images"
updated: 2026-06-01T06:32:04Z
published: 2026-06-01T06:32:04Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Room Images

Get/api/v1/rooms.images

Retrieves the images of a room that you are a member of.

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersroomIdstringRequired

The room ID.

Example654c9d1ca2f73c7460e1918b
startingFromIdstring

Filter images using the file ID.

Example666fdecb4ac1a8e6404ededd
offsetinteger

Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
countinteger

The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='fb68f2cc-c8b0-4d91-b78f-23b4d40d5fcb'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='ea197a05-4e60-477d-a205-6031b711dc64'>Success</option>
</select>Success

```json
{
  "files": [
    {
      "_id": "666fdecb4ac1a8e6404ededd",
      "name": "oauth-screen.png",
      "size": 78441,
      "type": "image/png",
      "rid": "6630e42b72f069422b1022c1",
      "userId": "yuT9xp9eEd6HqB3n8",
      "store": "GridFS:Uploads",
      "_updatedAt": "2024-06-17T06:59:23.608Z",
      "identify": {
        "format": "png",
        "size": {
          "width": 1580,
          "height": 884
        }
      },
      "complete": true,
      "etag": "yvaG9cjz6YRRdMg4L",
      "path": "/ufs/GridFS:Uploads/666fdecb4ac1a8e6404ededd/oauth-screen.png",
      "progress": 1,
      "token": "1888eA0A0B",
      "uploadedAt": "2024-06-17T06:59:23.602Z",
      "uploading": false,
      "url": "https://pro.writing-demo.dev.rocket.chat/ufs/GridFS:Uploads/666fdecb4ac1a8e6404ededd/oauth-screen.png",
      "typeGroup": "image"
    },
    {
      "_id": "666fddea4ac1a8e6404eded7",
      "name": "11.jpg",
      "size": 83832,
      "type": "image/jpeg",
      "rid": "6630e42b72f069422b1022c1",
      "userId": "yuT9xp9eEd6HqB3n8",
      "store": "GridFS:Uploads",
      "_updatedAt": "2024-06-17T06:55:38.044Z",
      "identify": {
        "format": "jpeg",
        "size": {
          "width": 839,
          "height": 932
        }
      },
      "complete": true,
      "etag": "3jZf7SJZFCPpf9JK8",
      "path": "/ufs/GridFS:Uploads/666fddea4ac1a8e6404eded7/11.jpg",
      "progress": 1,
      "token": "498bb849C8",
      "uploadedAt": "2024-06-17T06:55:38.029Z",
      "uploading": false,
      "url": "https://pro.writing-demo.dev.rocket.chat/ufs/GridFS:Uploads/666fddea4ac1a8e6404eded7/11.jpg",
      "typeGroup": "image"
    }
  ],
  "count": 50,
  "offset": 0,
  "total": 2,
  "success": true
}
```

Expand Allobject  files Array of object   object  _idstring    
namestring    
sizeinteger    
typestring    
ridstring    
userIdstring    
storestring    
_updatedAtstring    
identifyobject  formatstring    
sizeobject  widthinteger    
heightinteger    

completeboolean    
etagstring    
pathstring    
progressinteger    
tokenstring    
uploadedAtstring    
uploadingboolean    
urlstring    
typeGroupstring    

countinteger    
offsetinteger    
totalinteger    
successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='c35cb212-19e6-4c76-ab87-4b222f9a3772'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='de3febed-73a4-40e0-94d7-f2d23d41da77'>Invalid Params</option>
</select>Invalid Params

```json
{
  "success": false,
  "error": "must have required property 'roomId' [invalid-params]",
  "errorType": "invalid-params"
}
```

object  successboolean    
errorstring    
errorTypestring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='a25baddc-88df-4239-81fb-2bcf30a0d409'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='1c89c501-8507-4568-ba4a-42568f79af03'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
